namespace Tinkerforge
{
    public static class EHumidity
    {
        public static (char Option, int Min, int Max) GetHumidityCallbackThreshold(this BrickletHumidity humidity)
        {
            humidity.GetHumidityCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }

        public static (char Option, int Min, int Max) GetAnalogValueCallbackThreshold(this BrickletHumidity humidity)
        {
            humidity.GetAnalogValueCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }
    }
}
